Package org.kapott.hbci.smartcardio

# Class RSACardService

java.lang.Object
org.kapott.hbci.smartcardio.SmartCardService
org.kapott.hbci.smartcardio.HBCICardService
org.kapott.hbci.smartcardio.RSACardService

public class RSACardService extends HBCICardService

Author:
  axel

## Nested Class Summary

## Nested classes/interfaces inherited from class org.kapott.hbci.smartcardio.SmartCardService

`SmartCardService.Feature`

## Constructor Summary

Constructors
Constructor
Description
`RSACardService()`

## Method Summary

Modifier and Type
Method
Description
`protected byte[]`
`createPINVerificationDataStructure(int pwdId)`
Erzeugt das PIN-Check-Kommando.
`byte[]`
`decipher(int idx, byte[] data)`
`byte[]`
`encipher(int idx, byte[] data)`
`String`
`getCID()`
Liefert die CID der Karte.
`protected void`
`init(javax.smartcardio.Card card)`
Initialisiert den Service mit der angegebenen Karte.
`RSABankData`
`readBankData(int idx)`
`RSAKeyData[]`
`readKeyData(int idx)`
`int`
`readSigId(int idx)`
`byte[]`
`sign(int idx, byte[] data)`
`boolean`
`verify(int idx, byte[] data, byte[] sig)`
`void`
`verifySoftPIN(int pwdId, byte[] softPin)`
Prueft die PIN via Software.
`void`
`writeBankData(int idx, RSABankData bankData)`
`void`
`writeSigId(int idx, int sigId)`

### Methods inherited from class org.kapott.hbci.smartcardio.HBCICardService

`getCardId, verifyHardPIN`

### Methods inherited from class org.kapott.hbci.smartcardio.SmartCardService

`check, close, createInstance, expand, getCard, getChallenge, getFeatures, getKeyInfo, internalAuthenticate, putData, readBinary, readRecordBySFI, receive, receive, selectFile, selectSubFile, send, toBytes, toHex, toHex, updateRecordBySFI, writeRecordBySFI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSACardService

public RSACardService()

## Method Details

### init

protected void init(javax.smartcardio.Card card)
Description copied from class: `SmartCardService`
Initialisiert den Service mit der angegebenen Karte.

Overrides:
  `init` in class `SmartCardService`
Parameters:
  `card` - die Karte.
See Also:
  - `SmartCardService.init(javax.smartcardio.Card)`

### getCID

public String getCID()
Description copied from class: `HBCICardService`
Liefert die CID der Karte.

Specified by:
  `getCID` in class `HBCICardService`
Returns:
  die CID der Karte.
See Also:
  - `HBCICardService.getCID()`

### createPINVerificationDataStructure

protected byte[] createPINVerificationDataStructure(int pwdId) throws IOException
Description copied from class: `HBCICardService`
Erzeugt das PIN-Check-Kommando.

Specified by:
  `createPINVerificationDataStructure` in class `HBCICardService`
Returns:
Throws:
  `IOException`
See Also:
  - `HBCICardService.createPINVerificationDataStructure(int)`

### verifySoftPIN

public void verifySoftPIN(int pwdId, byte[] softPin)
Description copied from class: `HBCICardService`
Prueft die PIN via Software.

Overrides:
  `verifySoftPIN` in class `HBCICardService`
Parameters:
  `pwdId` - die PIN-ID.
  `softPin` - die PIN.
See Also:
  - `org.kapott.hbci.smartcardio.SmartCardService#verifySoftPIN(int, byte[])`

### readBankData

public RSABankData readBankData(int idx)

Parameters:
  `idx` -
Returns:

### writeBankData

public void writeBankData(int idx, RSABankData bankData)

Parameters:
  `idx` -
  `bankData` -

### readKeyData

public RSAKeyData[] readKeyData(int idx)

Parameters:
  `idx` -
Returns:

### readSigId

public int readSigId(int idx)

Parameters:
  `idx` -
Returns:

### writeSigId

public void writeSigId(int idx, int sigId)

Parameters:
  `idx` -
  `sigId` -

### sign

public byte[] sign(int idx, byte[] data)

Parameters:
  `idx` -
  `data` -
Returns:

### verify

public boolean verify(int idx, byte[] data, byte[] sig)

Parameters:
  `idx` -
  `data` -
  `sig` -
Returns:

### encipher

public byte[] encipher(int idx, byte[] data)

Parameters:
  `idx` -
  `data` -
Returns:

### decipher

public byte[] decipher(int idx, byte[] data)

Parameters:
  `idx` -
  `data` -
Returns: